<?php

/**
 This project has been generated by worker generator
 has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 check out my github @dekaulitz
 */
namespace App\Http\Validators;

use App\Http\Base\Validation;

class AdministratormenuValidator extends Validation
{
    /**
    * this function will call before insert, you can custom as your business requirement
    * @param array $input
    * @return $this
    */
    public function beforeInsert($input){
		if(empty($input["menuname"])){
			array_push($this->error, ["menuname" => "cannot be null"]);
		}
		else{
			$lengthmenuname = strlen($input["menuname"]);
			if($lengthmenuname>45){
			array_push($this->error, ["menuname" => "value too long"]);
			}
		}
		if(empty($input["url"])){
			array_push($this->error, ["url" => "cannot be null"]);
		}
		else{
			$lengthurl = strlen($input["url"]);
			if($lengthurl>45){
			array_push($this->error, ["url" => "value too long"]);
			}
		}
		if(empty($input["icon"])){
			array_push($this->error, ["icon" => "cannot be null"]);
		}
		else{
			$lengthicon = strlen($input["icon"]);
			if($lengthicon>45){
			array_push($this->error, ["icon" => "value too long"]);
			}
		}

        return $this;
    }

    /**
    * this function will call before update into database, you can custom as your business requirement
    * @param array $input
    * @param $id
    * @return $this
    */
    public function beforeUpdate($input,$id){
		if(empty($input["menuname"])){
			array_push($this->error, ["menuname" => "cannot be null"]);
		}
		else{
			$lengthmenuname = strlen($input["menuname"]);
			if($lengthmenuname>45){
			array_push($this->error, ["menuname" => "value too long"]);
			}
		}
		if(empty($input["url"])){
			array_push($this->error, ["url" => "cannot be null"]);
		}
		else{
			$lengthurl = strlen($input["url"]);
			if($lengthurl>45){
			array_push($this->error, ["url" => "value too long"]);
			}
		}
		if(empty($input["icon"])){
			array_push($this->error, ["icon" => "cannot be null"]);
		}
		else{
			$lengthicon = strlen($input["icon"]);
			if($lengthicon>45){
			array_push($this->error, ["icon" => "value too long"]);
			}
		}

        return $this;
    }

    /**
    * this function will call before delete from database, you can custom as your business requirement
    * @param $id
    * @return $this
    */
    public function beforeDelete($id){
	return $this;

    }


}